package jorpelu.com;

import java.io.IOException;
import java.io.File;
import java.util.Scanner;

public class Tree {

	public static final String ANSI_GREEN = "\u001B[32m";
	public static final String ANSI_RESET = "\u001B[0m";
	public static final String ANSI_YELLOW = "\u001B[33m";
	public static final String ANSI_PURPLE = "\u001B[35m";

	public static void main(String[] args) throws IOException {

		printFile(pideRuta(), "");
	}

	public static File pideRuta() {
		System.out.println(ANSI_GREEN.concat("Introduzca una ruta a analizar: " + ANSI_RESET));
		Scanner sc = new Scanner(System.in);
		File f = null;
		try {
			f = new File(sc.next());

		} catch (Exception e) {
			e.setStackTrace(e.getStackTrace());
		}
		sc.close();
		return f;
	}

	public static void printFile(File f, String spaces) {
		
		if (f.isDirectory()) {
			System.out.print(ANSI_GREEN);
		}else if(f.isDirectory() && f.isHidden()) {
			System.out.print(ANSI_YELLOW);
		}else if (f.isFile()) {
			System.out.print(ANSI_PURPLE);
		} else if (f.isFile() && f.isHidden()){
			System.out.print(ANSI_YELLOW);

		}

		System.out.println(spaces.concat("|____").concat(f.getName()) + ANSI_RESET);
		System.out.println(ANSI_RESET);
		if (f.isDirectory() && f.canRead()) {
			for (File file : f.listFiles()) {

				printFile(file, spaces.concat("      "));
			}
		}

	}

}
